Subject: Re: [Last-Call] Genart last call review of draft-ietf-i2nsf-capability-data-model-09

From: Lars Eggert <[email-masked]>
Date: Thu, 3 Feb 2022 13:02:10 +0200

Dan, thank you for your review and thank you all for the following discussion. I have entered a No Objection ballot for this document.

Lars

> On 2020-9-3, at 12:21, Dan Romascanu via Datatracker <[email-masked]> wrote:
> 
> Reviewer: Dan Romascanu
> Review result: Ready with Issues
> 
> I am the assigned Gen-ART reviewer for this draft. The General Area
> Review Team (Gen-ART) reviews all IETF documents being processed
> by the IESG for the IETF Chair.  Please treat these comments just
> like any other last call comments.
> 
> For more information, please see the FAQ at
> 
> <https://trac.ietf.org/trac/gen/wiki/GenArtfaq>.
> 
> Document: draft-ietf-i2nsf-capability-data-model-09
> Reviewer: Dan Romascanu
> Review Date: 2020-09-03
> IETF LC End Date: 2020-09-08
> IESG Telechat date: Not scheduled for a telechat
> 
> Summary:
> 
> Ready with Issues
> 
> This document defines a YANG data model for the capabilities of various NSFs in
> the I2NSF framework to centrally manage the capabilities of the various NSFs.
> This is a very clear and well written document, and the use cases and the
> examples also help its readability. The document was already reviewed and found
> READY for publication by the YANG Doctors, so I did not perform a detailed YANG
> review but rather focused on the Gen-ART specific aspects. A couple of issues
> should be discussed and clarified before approval.
> 
> Major issues:
> 
> Minor issues:
> 
> 1. In the introduction:
> 
>> This YANG data model is based on the
>   information model for I2NSF NSF capabilities
>   [I-D.ietf-i2nsf-capability].
> 
> So, the YANG data model is based on [I-D.ietf-i2nsf-capability], and the YANG
> module references [draft-ietf-i2nsf-nsf-monitoring-data-model-03] and
> [I-D.ietf-i2nsf-sdn-ipsec-flow-protection]. However, these three documents are
> listed as Informative References. Without them the document cannot be
> understood and implemented, so I believe that these reference should be moved
> to Normative References.
> 
> 2. In the YANG module a few condition capabilities have no REFERENCEs. Where
> can the semantics be found?
> 
> context-capability
> acl-number
> application
> target
> user
> group
> geography
> 
> Nits/editorial comments:
> 
> 1. Some of the acronyms are not expanded at first occurrence (VoIP, VoLTE,
> DDoS, etc. )
> 
> 
> 
> --
> last-call mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/last-call